"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff835d9ee0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff835d9f70>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0040>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e00d0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0160>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e01f0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0280>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0310>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e03a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0430>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e04c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0550>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e05e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0670>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0790>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0820>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e08b0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0940>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e09d0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0a60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0af0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0b80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0c10>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0d30>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0ca0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0dc0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0e50>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0ee0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e0f70>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5040>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e50d0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5160>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e51f0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5280>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5310>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e53a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5430>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e54c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5550>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e55e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5670>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5700>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5790>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5820>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e58b0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5940>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e59d0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5a60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5af0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5b80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5c10>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5ca0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5d30>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5dc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5e50>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5ee0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e5f70>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e80d0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8160>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e81f0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8280>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8310>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e83a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8550>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8430>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e85e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8670>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8700>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8790>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8820>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8940>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e88b0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e89d0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8a60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8af0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8c10>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8b80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8ca0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8d30>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8dc0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8e50>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8ee0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff835e8f70>)]
name: str = 'fr_HOCCN'
